import 'package:flutter/material.dart';
import 'package:cryfetch/models/cryptocurrency.dart';
import 'package:cryfetch/widgets/chart_coin.dart';

class ChartCoinPicker extends StatelessWidget {
  final List<Cryptocurrency> cryptosToDisplay;

  const ChartCoinPicker(this.cryptosToDisplay, {Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Scaffold(
        appBar: AppBar(
          title: const Text("Select cryptocurrencies"),
        ),
        body: ListView.builder(
          itemCount: cryptosToDisplay.length,
          itemBuilder: (context, index) {
            return ChartCoin(cryptosToDisplay[index]);
          },
        ));
  }
}
